# Learn more about services, parameters and containers at
# http://symfony.com/doc/current/book/service_container.html
parameters:
#    parameter_name: value

services:
  makuvex.twig.extension.array:
    class: Twig_Extensions_Extension_Array
    tags:
      - { name: 'twig.extension' }
        
  makuvex.twig.makuvex_format_extension:
    class: Makuvex\Perenni\WebBundle\Twig\MakuvexFormatExtension
    tags:
      - { name: twig.extension }
    arguments: [%kernel.root_dir%]
    
  makuvex.twig.system_meta_extension:
    class: Makuvex\Perenni\WebBundle\Twig\SystemMetaExtension
    tags:
      - { name: twig.extension }
    arguments:
      em: "@doctrine.orm.entity_manager"